Bug 1025989 - pulp-admin fails to give detailed information of a distribution
pulp-admin fails to give detailed information of a distribution
Status: CLOSED UPSTREAM
Product: Pulp
Classification: Community
Component: rpm-support (Show other bugs)
2.2
x86_64 Linux
medium Severity low
: ---
: ---
Assigned To: pulp-bugs
pulp-qe-list
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-02 15:28 EDT by kuduka
Modified: 2015-02-28 16:59 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-28 16:59:50 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Pulp Redmine 383 None None None Never

  None (edit)
Description kuduka 2013-11-02 15:28:14 EDT
Description of problem:

pulp-admin fails to give detailed information of a distribution, however listing it without the flag --details work as expected.

Version-Release number of selected component: Pulp v2.2

How reproducible:

pulp-admin rpm repo content distribution --details --repo-id=fedora19


Actual results:

2013-11-02 20:21:42,734 - ERROR - Client-side exception occurred
Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/pulp/client/extensions/core.py", line 478, in run
    exit_code = Cli.run(self, args)
  File "/usr/lib/python2.7/site-packages/okaara/cli.py", line 974, in run
    exit_code = command_or_section.execute(self.prompt, remaining_args)
  File "/usr/lib/python2.7/site-packages/pulp/client/extensions/extensions.py", line 224, in execute
    return self.method(*arg_list, **clean_kwargs)
  File "/usr/lib/python2.7/site-packages/pulp_rpm/extension/admin/contents.py", line 306, in distribution
    self.run_search([TYPE_DISTRIBUTION], self.write_distro, **kwargs)
  File "/usr/lib/python2.7/site-packages/pulp_rpm/extension/admin/contents.py", line 159, in run_search
    out_func(units)
  File "/usr/lib/python2.7/site-packages/pulp_rpm/extension/admin/contents.py", line 326, in write_distro
    'family'  : distro['family'],
KeyError: 'family'

Expected results:

Detailed information of the distribution

Additional info:

[root@localhost ~]# rpm -qa | grep -i pulp
m2crypto-0.21.1.pulp-8.fc19.x86_64
python-pulp-common-2.2.0-1.fc19.noarch
python-pulp-agent-lib-2.2.0-1.fc19.noarch
python-pulp-rpm-common-2.2.0-1.fc19.noarch
python-pulp-client-lib-2.2.0-1.fc19.noarch
pulp-consumer-client-2.2.0-1.fc19.noarch
pulp-admin-client-2.2.0-1.fc19.noarch
pulp-puppet-plugins-2.2.0-1.fc19.noarch
pulp-rpm-admin-extensions-2.2.0-1.fc19.noarch
pulp-rpm-consumer-extensions-2.2.0-1.fc19.noarch
pulp-agent-2.2.0-1.fc19.noarch
pulp-puppet-handlers-2.2.0-1.fc19.noarch
pulp-selinux-2.2.0-1.fc19.noarch
pulp-nodes-common-2.2.0-1.fc19.noarch
pulp-nodes-child-2.2.0-1.fc19.noarch
python-isodate-0.5.0-1.pulp.fc19.noarch
python-pulp-bindings-2.2.0-1.fc19.noarch
python-pulp-puppet-common-2.2.0-1.fc19.noarch
python-pulp-rpm-extension-2.2.0-1.fc19.noarch
pulp-builtins-consumer-extensions-2.2.0-1.fc19.noarch
pulp-builtins-admin-extensions-2.2.0-1.fc19.noarch
pulp-server-2.2.0-1.fc19.noarch
pulp-rpm-plugins-2.2.0-1.fc19.noarch
pulp-puppet-admin-extensions-2.2.0-1.fc19.noarch
pulp-puppet-consumer-extensions-2.2.0-1.fc19.noarch
pulp-rpm-handlers-2.2.0-1.fc19.noarch
pulp-rpm-yumplugins-2.2.0-1.fc19.noarch
pulp-nodes-admin-extensions-2.2.0-1.fc19.noarch
pulp-nodes-parent-2.2.0-1.fc19.noarch
Comment 1 Chris Duryee 2014-11-11 20:44:21 EST
This is still the case in pulp 2.4.3.
Comment 2 Brian Bouterse 2015-02-28 16:59:50 EST
Moved to https://pulp.plan.io/issues/383

Note You need to log in before you can comment on or make changes to this bug.